package com.loafle.rpc.api;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.googlecode.jsonrpc4j.spring.AutoJsonRpcServiceImpl;
import com.loafle.rpc.model.Input;
import com.loafle.rpc.model.Output;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
@AutoJsonRpcServiceImpl
public class RemoteImpl implements Remote {

    @Override
    public Output request(Input i) throws JsonProcessingException {
        Output out = new Output();
        out.setStartDate(new Date());
        out.setEndDate(new Date());
        out.setData("Not Delegate".getBytes());
        return out;
    }

}