package com.loafle.rpc.api;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.googlecode.jsonrpc4j.JsonRpcMethod;
import com.googlecode.jsonrpc4j.JsonRpcService;
import com.loafle.rpc.model.Input;
import com.loafle.rpc.model.Output;


@JsonRpcService("/rpc")
public interface Remote {
    @JsonRpcMethod("Remote.Request")
    Output request(Input t) throws JsonProcessingException;
}